import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;

const yewuApi = "http://rep.report.caixiao365.com" + "/admin/Everyday/";
interface ResponseType extends Promise<any> {
  data?: object;
  code?: number;
  msg?: string;

}

export const httpDepartDayList = (data: object = {}): ResponseType => {
  return http.request("post", `${yewuApi}departEveryDay`, { data });
};


export const httpDepartMonthList = (data: object = {}): ResponseType => {
  return http.request("post", `${yewuApi}departEveryMonth`, { data });
};

export const httpCompanyDayList = (data: object = {}): ResponseType => {
  return http.request("post", `${yewuApi}companyEveryMonth`, { data });
};

export const httpCompanyMonthList = (data: object = {}): ResponseType => {
  return http.request("post", `${yewuApi}companyEvery`, { data });
};
